import Qt 4.7
import "imports/colibri"
import "imports/XAComponents"

Rectangle {
    id: rectangle

    color: "transparent"

    property string windowGotFocus : qtWindowGotFocus
    property string platformID: qtPlatformID
    property string dtsUIStyle : qtUIStyle

    property bool enabled: true

    function onPresetValuesCompleted() {
//        console.debug("QML XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX VALUES LOADED.");
//        console.debug(dtsUIStyle + " / " + qtProtectionLevel)

        dtsUIStyle = qtUIStyle;
        updateToolTip(dtsUIStyle);
    }

//    onFocusChanged: console.debug("AIUIStylePicker: focus changed.")

    onWindowGotFocusChanged: {
        console.debug("AIUIStylePicker: focus changed.")
        if (windowGotFocus == 0) QtHandler.hide()
    }

    Component.onCompleted: {
//        console.debug("QML XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX Component.onCompleted.");
    }

    function doOp(level) {
        dtsUIStyle = level;
        QtHandler.uiStyleSelected(level)
    }

    function updateToolTip(displayLevel) {
        var level = displayLevel;
        if (level === -1) level = dtsUIStyle;

        if (displayLevel === 0) {
            footerLabel.text = qsTr("Classic");
//            footerDetailLabel.text = qsTr("")

        } else if (displayLevel === 1) {
            footerLabel.text = qsTr("Paper");
//            footerDetailLabel.text = qsTr("")

        } else if (displayLevel === 2) {
            footerLabel.text = qsTr("Notepad");
//            footerDetailLabel.text = qsTr("")

        } else if (displayLevel === 3) {
            footerLabel.text = qsTr("Vintage Steelblue");
//            footerDetailLabel.text = qsTr("")

        } else if (displayLevel === 4) {
            footerLabel.text = qsTr("Basic");
//            footerDetailLabel.text = qsTr("")

        } else if (displayLevel === 5) {
            footerLabel.text = qsTr("Dark Wood");

        }

    }

    Rectangle {
        id: closeTab
//        anchors.top: parent.top
//        anchors.left: parent.left
//        anchors.leftMargin: parent.width / 2 - 7

        anchors.right: parent.right
        anchors.top: parent.top
        anchors.topMargin: parent.height / 2 - 7

        width: 16
        height: 16

        //color: "#99222222"
        color: "transparent"

        Image {
            anchors.left: parent.left
            anchors.top: parent.top
            source: "qrc:icons/popover/popoverArrowRight.png"
        }

        MouseArea {
            id: closeTabMouseArea
            anchors.fill: parent

            onClicked: QtWindow.hide();
        }
    }


    Rectangle {
        id: contentRectangle
        anchors.top: parent.top
//        anchors.topMargin: 16
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.rightMargin: 16
        height: 64

        border.color: "black"
        border.width: 1

        gradient: Gradient {
            GradientStop { position: 0; color: "#222222" }
            GradientStop { position: 0.5; color: "#3f3b3c" }
            GradientStop { position: 1; color: "#222222" }
        }

        radius: 0
        smooth: true

        Rectangle {
            id: securityLockRect
            anchors.top: parent.top
            anchors.horizontalCenter: parent.horizontalCenter
            height: 32
            width: 150
            color: "transparent"

            XAUIStyleButton {
                id: securityLockL0
                anchors.left: parent.left
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 5

                level: 0
                selected: (dtsUIStyle < 1) ? 1 : 0

                color: (platformID == "MAC") ? "#80848f" : "#9ab0d2"

                MouseArea {
                    id: mouseAreaL0
                    anchors.fill: parent
                    hoverEnabled: true

                    onEntered: updateToolTip(0);
                    onExited: updateToolTip(dtsUIStyle);

                    onClicked: doOp(parent.level)
                }
            }

            XAUIStyleButton {
                id: securityLockL1
                anchors.left: parent.left
                anchors.leftMargin: 25
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 5

                level: 1
                selected: (dtsUIStyle == 1) ? 1 : 0

                imageSource: "qrc:icons/white_paper_texture_background_seamless_pattern_xs.png"

                MouseArea {
                    id: mouseAreaL1
                    anchors.fill: parent
                    hoverEnabled: true

                    onEntered: updateToolTip(1);
                    onExited: updateToolTip(dtsUIStyle);

                    onClicked: doOp(parent.level)
                }
            }

            XAUIStyleButton {
                id: securityLockL2
                anchors.left: parent.left
                anchors.leftMargin: 50
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 5

                level: 2
                selected: (dtsUIStyle == 2) ? 1 : 0

                imageSource: "qrc:icons/wallpapers/notebook_texture_pattern_xs.png"

                MouseArea {
                    id: mouseAreaL2
                    anchors.fill: parent
                    hoverEnabled: true

                    onEntered: updateToolTip(2);
                    onExited: updateToolTip(dtsUIStyle);

                    onClicked: doOp(parent.level)
                }
            }

            XAUIStyleButton {
                id: securityLockL3
                anchors.left: parent.left
                anchors.leftMargin: 75
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 5

                level: 3
                selected: (dtsUIStyle == 3) ? 1 : 0

                imageSource: "qrc:icons/wallpapers/vintage_steelblue_xs.png"

                MouseArea {
                    id: mouseAreaL3
                    anchors.fill: parent
                    hoverEnabled: true

                    onEntered: updateToolTip(3);
                    onExited: updateToolTip(dtsUIStyle);

                    onClicked: doOp(parent.level)
                }
            }

            XAUIStyleButton {
                id: securityLockL4
                anchors.left: parent.left
                anchors.leftMargin: 100
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 5

                level: 4
                selected: (dtsUIStyle == 4) ? 1 : 0

                color: "white"

                MouseArea {
                    id: mouseAreaL4
                    anchors.fill: parent
                    hoverEnabled: true

                    onEntered: updateToolTip(4);
                    onExited: updateToolTip(dtsUIStyle);

                    onClicked: doOp(parent.level)
                }
            }

            XAUIStyleButton {
                id: securityLockL5
                anchors.left: parent.left
                anchors.leftMargin: 125
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 5

                level: 5
                selected: (dtsUIStyle == 5) ? 1 : 0

                imageSource: "qrc:/IconFactory Desktop/build/wood2_xs.png"

                MouseArea {
                    id: mouseAreaL5
                    anchors.fill: parent
                    hoverEnabled: true

                    onEntered: updateToolTip(5);
                    onExited: updateToolTip(dtsUIStyle);

                    onClicked: doOp(parent.level)
                }
            }

        }

        XAHDivisionLine {
            anchors.bottom: parent.bottom
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.bottomMargin: 30 /*45*/
        }

        Rectangle {
            id: footerRect
            anchors.bottom: parent.bottom
            anchors.left: parent.left
            anchors.leftMargin: 25
            anchors.right: parent.right
            anchors.rightMargin: 25
            height: 22 /*38*/

            color: "transparent"

            Text {
                id: footerLabel
                anchors.fill: parent

                color: "white"
                font.family: "Arial"
                font.pixelSize: 12
                font.bold: true
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignTop
            }

//            Text {
//                id: footerDetailLabel
//                anchors.fill: parent
//                anchors.topMargin:15

//                color: "white"
//                font.family: "Arial"
//                font.pixelSize: 11
//                font.bold: false
//                horizontalAlignment: Text.AlignHCenter
//                verticalAlignment: Text.AlignTop
//            }
        }

    }

}


