import QtQuick 1.0

Item {
    id: container
    property int level: 0
    property int selected: 0
    property alias imageSource: image.source
    property alias color: color.color
    signal clicked()

    width: 24; height: 24
    //width: 23; height: 23

    Rectangle {
        id: rectangle
        border.color: (container.selected == 1) ? "darkgray" : "transparent"
        //border.color: "transparent"
        color: (container.selected == 1) ? "black" : "transparent"
        anchors.fill: parent
        radius: 2
        smooth: true

        Rectangle {
            id: color
            x: 2
            y: 2

            width: 21
            height: 21

            visible: (image.sourceSize.height < 10)
        }

        Image {
            id: image
            x: 2
            y: 2

            width: 21
            height: 21
            //source: "qrc:icons2/actionBarIconLockL" + container.level + "_21px.png";

            visible: (image.sourceSize.height > 10)
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: container.clicked()
    }
}


